Module: selenium-webdriver/safari
View Source

# class Driver

    webdriver.WebDriver
      └ Driver

A WebDriver client for Safari. This class should never be instantiated directly; instead, use the `selenium-webdriver.Builder`:

    var driver = new Builder()
        .forBrowser('safari')
        .build();

## new Driver(opt_config, opt_flow)

Parameters

opt_config`?(Options|Capabilities)=`

  The configuration options for the new session.

opt_flow`?webdriver.promise.ControlFlow=`

  The control flow to create the driver under.